%define testver		242
%define build_debug     0
%{?_with_debug: %{expand: %%global build_debug 1}}
%{?_without_debug: %{expand: %%global build_debug 0}}

Name:		blender
Version:	2.42a
Release:	%mkrel 3
Summary:	A fully functional 3D modeling/rendering/animation package
Group:		Graphics
Source0:	http://download.blender.org/source/blender-%{version}.tar.bz2
Source1: 	blender-wrapper
Source2:	http://download.blender.org/demo/test/test%{testver}.zip
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Source14:	icons-%{name}nodri.tar.bz2
Patch0:		blender-2.41-openal-fix.patch
Patch1:		blender-2.42-buildfix.patch
Patch2:		blender-2.42-lib64.patch
Patch3:		blender-2.42-forceyafrayplug.patch
Patch5:		blender-2.41-libtiff.patch
Patch7:		blender-2.41-varuninitial.patch
Patch8:		blender-2.41-yafray-64.patch
Patch9:		blender-2.42-yafray-ncpus.patch
Patch10:	blender-2.42-O3opt.patch
Patch11:	blender-2.42a-morethreads.patch
Patch12:	blender-2.42a-wavefront-obj-overrun.patch
URL:		http://www.blender.org/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	scons
BuildRequires:	openal-devel >= 0.0.6-9mdk
BuildRequires:	OpenEXR-devel
BuildRequires:	esound-devel
%if %{mdkversion} >= 200610
BuildRequires:	ffmpeg-devel >= 0.4.9-1.pre1
%endif
BuildRequires:	ftgl-devel
BuildRequires:	gettext-devel
BuildRequires:	jpeg-devel
%if %{mdkversion} >= 200610
BuildRequires:	mesaglu-devel
%else
BuildRequires:	MesaGLU-devel
%endif
BuildRequires:	oggvorbis-devel
BuildRequires:	openssl-devel
BuildRequires:	png-devel
BuildRequires:	python-devel >= 2.4
BuildRequires:	SDL-devel
BuildRequires:	smpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	XFree86-devel
BuildRequires:	zlib-devel
Requires:	python-imaging >= 1.1.4
Requires:	yafray
Requires:	libtiff

%description
Blender is the in-house software of a high quality animation studio.
It has proven to be an extremely fast and versatile design instrument.
The software has a personal touch, offering a unique approach to the
world of three dimensions. Blender can be used to create TV
commercials, to make technical visualizations or business graphics, to
do some morphing, or to design user interfaces. Developers can easily
build and manage complex environments. The renderer is versatile and
extremely fast. All basic animation principles (curves and keys) are
implemented.

%if %build_debug
This version is build with debug enabled.
%endif

%prep
%setup -q -n blender-%{version} -a 2
%patch0 -p1 -b .openal
%if "%{_lib}" != "lib"
%patch2 -p1 -b .lib64
%endif
%patch3 -p1 -b .yafray
%patch5 -p1 -b .libtiff
%patch7 -p1 -b .varun
%patch8 -p1 -b .yafray64
%patch9 -p1 -b .ncpus
%patch10 -p1 -b .O3opt
%patch11 -p1 -b .morethreads
%patch12 -p1 -b .wavobj

# Fix pt_BR
sed -i "s,pt_br,pt_BR,g" bin/.blender/.Blanguages
mv bin/.blender/locale/pt_br bin/.blender/locale/pt_BR

%build
%if %{build_debug}
%define debug_flags -g
%define scons_debug BF_DEBUG=1
%else
%define debug_flags ""
%define scons_debug BF_DEBUG=0
%endif

cat > user-config.py <<EOF
BF_GETTEXT_LIBPATH = '\${BF_GETTEXT}/%{_lib}'
%if %{mdkversion} >= 200610
WITH_BF_FFMPEG = 'true'
%else
WITH_BF_FFMPEG = 'false'
%endif
BF_FFMPEG_LIBPATH = '\${BF_FFMPEG}/%{_lib}'
BF_OPENGL_LIBPATH = '%{_prefix}/X11R6/%{_lib}'
BF_BUILDDIR = './builddir'
BF_INSTALLDIR = './installdir'
CCFLAGS  = "%{optflags} -O3 %debug_flags -ffast-math -funsigned-char -fno-strict-aliasing".split()
CXXFLAGS = "%{optflags} -O3 %debug_flags -ffast-math -funsigned-char -fno-strict-aliasing".split()
REL_CFLAGS  = "-O3".split()
REL_CCFLAGS = "-O3".split()
EOF

cat > user-config.py.sse <<EOF
BF_GETTEXT_LIBPATH = '\${BF_GETTEXT}/%{_lib}'
%if %{mdkversion} >= 200610
WITH_BF_FFMPEG = 'true'
%else
WITH_BF_FFMPEG = 'false'
%endif
BF_FFMPEG_LIBPATH = '\${BF_FFMPEG}/%{_lib}'
BF_OPENGL_LIBPATH = '%{_prefix}/X11R6/%{_lib}'
BF_BUILDDIR = './builddir'
BF_INSTALLDIR = './installdir'
CCFLAGS  = "%{optflags} -O3 %debug_flags -ffast-math -msse -mfpmath=sse -funsigned-char -fno-strict-aliasing".split()
CXXFLAGS = "%{optflags} -O3 %debug_flags -ffast-math -msse -mfpmath=sse -funsigned-char -fno-strict-aliasing".split()
REL_CFLAGS  = "-O3".split()
REL_CCFLAGS = "-O3".split()
EOF

%ifarch %{ix86}
cp -p user-config.py user-config.py.std
cp -p user-config.py.sse user-config.py
scons -c %scons_debug BF_QUIET=0
scons %scons_debug BF_QUIET=0
cp -p builddir/bin/blender blender.sse
cp -p user-config.py.std user-config.py
scons -c %scons_debug BF_QUIET=0
%endif

scons %scons_debug BF_QUIET=0
scons %scons_debug BF_QUIET=0 blenderplayer

# Build plugins
pushd release/plugins
   if [ -d ./include ]; then
	rm -rf include
   fi
   ln -s ../../source/blender/blenpluginapi include
   chmod +x bmake
   %make
popd

find ./test%{testver} -type f -print0|xargs -0 chmod 644
find ./test%{testver} -type d -print0|xargs -0 chmod 755 

%install
rm -rf %{buildroot}

install -m 755 %{SOURCE1} blender-wrapper
%ifarch %{ix86}
cat >> blender-wrapper <<EOF 
if [ -e /proc/cpuinfo ]; then
	SSE="\`cat /proc/cpuinfo | grep flags | grep sse\`"
fi

if [ "x\$SSE" == x ]; then
	\${BLENDER_LIBDIR}/blender/blender "\$@"
else
	\${BLENDER_LIBDIR}/blender/blender.sse "\$@"
fi
EOF
%else
cat >> blender-wrapper <<EOF
\${BLENDER_LIBDIR}/blender/blender "\$@"
EOF
%endif

install -d -m 755 \
		%{buildroot}%{_bindir} \
		%{buildroot}%{_libdir}/%{name} \
		%{buildroot}%{_datadir}

install -m 755 ./installdir/blenderplayer %{buildroot}%{_bindir}
install -m 755 ./installdir/blender %{buildroot}%{_libdir}/%{name}
%ifarch %{ix86}
install -m 755 ./blender.sse %{buildroot}%{_libdir}/%{name}
%endif
install -m 755 blender-wrapper %{buildroot}%{_bindir}/%{name}
sed -i "s,SPECDEFINED,%_libdir,g" %{buildroot}%{_bindir}/blender %{buildroot}%{_bindir}/%{name}
cp -p %{buildroot}%{_bindir}/blender %{buildroot}%{_bindir}/%{name}nodri
perl -pi -e 's@^\s*\$\{BLENDER_LIBDIR\}/blender/blender@LIBGL_ALWAYS_INDIRECT=1 \$\{BLENDER_LIBDIR\}/blender/blender@g' %{buildroot}%{_bindir}/%{name}nodri
cp -a ./installdir/.blender/scripts %{buildroot}%{_libdir}/%{name}
cp -a ./installdir/.blender/locale  %{buildroot}%{_datadir}
install -p -m 644 ./installdir/.blender/.Blanguages %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/.blender/.bfont.ttf %{buildroot}%{_libdir}/%{name}
install -p -m 644 release/VERSION %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/release_242.txt %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/copyright.txt %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/BlenderQuickStart.pdf %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/blender.html %{buildroot}%{_libdir}/%{name}
install -p -m 644 source/blender/python/api2_2x/doc/*.py %{buildroot}%{_libdir}/%{name}/scripts
install -d -m 755 %{buildroot}%{_libdir}/%{name}/plugins/sequence
install -pD -m 644 release/plugins/sequence/*.so %{buildroot}%{_libdir}/%{name}/plugins/sequence
install -d %{buildroot}%{_libdir}/%{name}/plugins/texture
install -pD -m 644 release/plugins/texture/*.so %{buildroot}%{_libdir}/%{name}/plugins/texture
find %{buildroot}%{_libdir}/%{name}/scripts -type f -name '*.py' -exec chmod 644 '{}' \;

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Graphics" \
	title="Blender" \
	longtitle="A fully functional 3D modeling/rendering/animation package" \
%if %{mdkversion} >= 200610
	xdg="true" \
%endif
	mimetypes="application/x-blender"
EOF
cat > %{buildroot}%{_menudir}/%{name}nodri <<EOF
?package(%{name}): command="%{_bindir}/%{name}nodri" \
	needs="X11" \
	icon="%{name}nodri.png" \
	section="Multimedia/Graphics" \
	title="Blender (No DRI)" \
%if %{mdkversion} >= 200610
	xdg="true" \
%endif
	longtitle="A fully functional 3D modeling/rendering/animation package (with DRI disabled)"
EOF

%if %{mdkversion} >= 200610
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Blender
Comment=%{summary}
Exec=%{_bindir}/%{name} %f
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics/Photography/3DGraphics;Graphics;Viewer;
MimeType=application/x-blender;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}nodri.desktop << EOF
[Desktop Entry]
Name=Blender (DRI disabled)
Comment=%{summary} (with DRI disabled)
Exec=%{_bindir}/%{name}nodri %f
Icon=%{name}nodri
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics/Photography/3DGraphics;Graphics;Viewer;
EOF
%endif

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
tar xjf %{SOURCE14} -C %{buildroot}%{_iconsdir}

%if %build_debug
export DONT_STRIP=1
%endif

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%if %{mdkversion} >= 200610
%{update_desktop_database} 
%endif

%postun
%{clean_menus}
%if %{mdkversion} >= 200610
%{clean_desktop_database} 
%endif

%files
%defattr(-,root,root)
%doc README doc/*.txt test%{testver}
%{_bindir}/*
%{_menudir}/*
%if %{mdkversion} >= 200610
%{_datadir}/applications/*
%endif
%{_datadir}/locale/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/scripts
%{_libdir}/%{name}/%{name}
%ifarch %{ix86}
%{_libdir}/%{name}/%{name}.sse
%endif
%{_libdir}/%{name}/.bfont.ttf
%{_libdir}/%{name}/.Blanguages
%{_libdir}/%{name}/VERSION
%{_libdir}/%{name}/BlenderQuickStart.pdf
%{_libdir}/%{name}/blender.html
%{_libdir}/%{name}/copyright.txt
%{_libdir}/%{name}/release_242.txt
%{_libdir}/%{name}/scripts/*
%{_libdir}/%{name}/plugins/sequence
%{_libdir}/%{name}/plugins/texture
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}nodri.png
%{_liconsdir}/%{name}nodri.png
%{_iconsdir}/%{name}nodri.png


%changelog
* Tue Aug 22 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-08-22 11:07:40 (57087)
- Fixed buffer overflow of bug #24583.

* Wed Aug 09 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-08-09 17:20:58 (54796)
- Added Patch11 for to allow more threads.

* Sat Aug 05 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-05 18:41:17 (53353)
- fix typo in wrapper script, when upgrading from a previous version

* Sat Jul 29 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-29 22:08:08 (42619)
- Release 2.42a.

* Mon Jul 24 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-24 14:12:38 (41974)
- changed ffmpeg-devel BuildRequires to 0.4.9-1.pre1.

* Mon Jul 24 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-24 14:00:16 (41973)
- added OpenEXR-devel to BuildRequires
- added version into ffmpeg-devel BuildRequires and
  conditional switch (for MDV2006, since older ffmpeg, the
  ffmpeg support will be disabled).

* Mon Jul 24 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-24 13:45:50 (41968)
- set mode 644 for internal .py scripts.

* Mon Jul 24 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-24 10:50:29 (41960)
- use %%%%update_desktop_database instead of %%%%clean_desktop_database
  in %%%%post.

* Mon Jul 24 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-24 10:46:32 (41959)
- xdg menus.
- fixes to wrapper.

* Sun Jul 23 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-23 20:21:56 (41956)
- disabled -ftree-vectorize from CFLAGS, CXXFLAGS as it doesn't give
  improvements in rendering time.

* Sun Jul 23 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-23 20:18:43 (41955)
- clean CFLAGS, CXXFLAGS.

* Sun Jul 23 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-23 20:11:38 (41954)
- correctly copy user-config.py.std to user-config.py

* Sun Jul 23 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-23 19:03:41 (41953)
- fixed install path of blender.sse.

* Sun Jul 23 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-23 18:17:37 (41952)
- fixed cp of blender.sse.

* Sun Jul 23 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-23 18:13:53 (41951)
- added blender-2.42-buildfix.patch.

* Sun Jul 23 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-23 18:11:30 (41950)
- Added Patch10 for fixing problems with -O3 optimization
- Added Patch9 for fixing problem with SMP and yafray.
- Improved regexp for blendernodri (thanks to blino).
- Readapted Patch2,3.
- Removed Patch4,6  (merged upstream).

* Sun Jul 09 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-09 12:00:47 (38588)
- fix applying Patch9

* Sun Jul 09 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-09 11:47:34 (38587)
- fix minimal number of cpus/threads when called yafray.

* Sat Jul 08 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-08 20:56:30 (38573)
- Better patch for x86-64

* Sat Jul 08 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-08 19:08:41 (38572)
- added patch for correctly searching yafray plugin

* Sat Jul 08 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-08 18:19:16 (38571)
- Added Requires: libtiff (dinamically loaded).

* Sat Jul 08 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-07-08 18:17:33 (38570)
- Added Patch5 for loading libtiff.so.3 instead of libtiff.so (avoid
  installation of libtiff devel package).
- Added Patch6 for fixing a missed header.
- Added Patch7 for fixing an unitialized variable.


* Sun Jun 04 2006 Giuseppe Ghib <ghibo@mandriva.com>
+ 2006-06-04 20:44:09 (31915)
- [$VER: 2.41-5mdv]
- Force calling yafray trough library and not trough XML file (Patch3) as
  XML doesn't work anymore with yafray > 0.07, and anyway plugin it's better.
- Added yafray in Requires.
- Quote \$@ in wrapper.
- Added blendernodri wrapper to avoid blender's UI flashing problems
  with some card under DRI (e.g. Matrox).
- Updated svg2obj python script to 0.47.

* Tue May 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-30 22:32:26 (31774)
- Fixed the mess did on svn versus regular upload. We should take more care in
  further operations.
  * Seg Mai 22 2006 Giuseppe Ghib?\195?\178 <ghibo@mandriva.com> 2.41-3mdk
- Stronger optimization with %%optflags (thanks to Pixel).
- python-devel >= 2.4 in BuildRequires.

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-11 22:18:41 (27129)
- New wrapper. Blender plugins usually deal with a lot of tmp/inplace writing.
  So now user get their own .blender env created.
- Fixed locale translations.
- Fixed pt_BR potfile naming

* Thu May 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-11 16:46:37 (27113)
- New upstream release
- Finally we have blender internationalized, ann compiling in x86_64
- Physics engine ODE isn't compiling at this moment
- blenderplayer was reenabled, so game on again :-)

* Thu May 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-11 14:35:03 (27102)
- Still fixing my mess

* Thu May 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-11 14:34:26 (27101)
- Fix my mess

* Thu Apr 13 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.40-2mdk
- Added tiff-devel to BuildRequires.

* Wed Dec 28 2005 Olivier Blin <oblin@mandriva.com> 2.40-1mdk
- New release 2.40

* Wed Aug 03 2005 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.37a-1mdk
- Updated to version 2.37a
- Added blenderplayer (the standalone game player)
- Added some default python scripts for importing and exporting
- Added localization files to the package. They were put into the main package
  because blender doesn't automatically choose the language in the interface.

* Thu Jun  2 2005 Olivier Blin <oblin@mandriva.com> 2.37-1mdk
- 2.37 : http://www.blender3d.org/cms/Blender_2_37.496.0.html

* Fri Dec 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.36-1mdk
- 2.36

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.35-2mdk
- Rebuild for new python

* Tue Nov 16 2004 Olivier Blin <blino@mandrake.org> 2.35-1mdk
- 2.35 : http://www.blender3d.org/cms/Blender_2_35.482.0.html

* Fri Aug  6 2004 Olivier Blin <blino@mandrake.org> 2.34-1mdk
- 2.34 : http://www.blender3d.org/cms/Blender_2_34.319.0.html
- remove gcc/libstdc++ patches (fixed upstream)
- fix doc files list

* Wed Jun 23 2004 Olivier Blin <blino@mandrake.org> 2.33a-1mdk
- 2.33a (yeah, game engine is back)
- rediff Patch1
- more gcc 3.4 template fixes (Patch2)
- switch to scons build system

* Wed Jun 16 2004 Olivier Blin <blino@mandrake.org> 2.32-2mdk
- rebuilt for new libstdc++
- Added Patch0 to fix build with new libstdc++
- Added Patch1 to fix build with gcc 3.4

* Fri Apr 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.32-1mdk
- 2.32
- fix buildrequires (lib64..)
- don't bzip2 icons in src.rpm

* Tue Mar 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.31a-2mdk
- rebuild

* Fri Dec 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.31a-1mdk
- 2.31a

* Mon Dec 01 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.31-1mdk
- Release: 2.31.

* Thu Nov 06 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.30-1mdk
- Release: 2.30.
- Removed Patch0, Patch1, no longer needed.

* Thu Sep 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.28a-3mdk
- Added Patch1 to fix crash on startup.

* Wed Sep 10 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.28a-2mdk
- Release: 2.28a.
- Removed old Patch0.
- Added Patch0 to fix junk lines in configure.
- Added python-imaging to Requires to avoid crash on startup.

* Wed Sep 03 2003 Olivier Blin <oliv.blin@laposte.net> 2.28a-1mdk
- 2.28a (bugfix release)
- fix changelog

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.28-3mdk
- rebuild against python for real (me suckysucky long time, and not in a good way;)

* Thu Aug 07 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.28-2mdk
- rebuild for new python

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.28-1mdk
- 2.2.8
- updated docs

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.27-2mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package

* Tue May 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.27-1mdk
- 2.27
- quiet setup
- fixed buildrequires, also clutter .spec file with one line for each
- fix missing summary macro used in menu item
- a little macroisation
- regenerate Patch0
- added some docs

* Wed Feb 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.26-1mdk
- Updated to release 2.26.
- Disabled gameblender building (problems with libopenal).
- Added Patch0 to avoid library conflicts during building.

* Mon Nov 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-3mdk
- Use .png extensions in %files list.

* Sun Nov 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.25b-2mdk
- Merged with prepared SPEC file.
- Build static version.
- Changed icons.
- Added some BuildRequires.
- Revert to static.
- Added Url for Source0, so to understand which source is used.

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 2.25-b.1mdk
- Initial relase
